XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
xcb_ge_event_t Struct Reference
XCB Core API

GE event. More...

`#include <xcb.h>`

## Data Fields

uint8_t | response_type
uint8_t | pad0
uint16_t | sequence
uint32_t | length
uint16_t | event_type
uint16_t | pad1
uint32_t | pad [5]
uint32_t | full_sequence

## Detailed Description

GE event.

An event as sent by the XGE extension. The length field specifies the number of 4-byte blocks trailing the struct.

## Field Documentation

uint32_t xcb_ge_event_t::full_sequence

full sequence

uint32_t xcb_ge_event_t::pad[5]

Padding

uint8_t xcb_ge_event_t::pad0

Padding

uint8_t xcb_ge_event_t::response_type

Type of the response

uint16_t xcb_ge_event_t::sequence

Sequence number

The documentation for this struct was generated from the following file:

- xcb.h